package command-not-found 0.2.40ubuntu17 failed to install/upgrade: ErrorMessage: package command-not-found is not ready for configuration cannot configure (current status `half-installed')

Asked by Muhammad Hafeez on 2011-02-03

Binary package hint: command-not-found

I am neither able to remove the package "command-not-found" from synaptic package manager, nor able to upgrade or reinstall it. The system says that the package is very unstable condition. that is, neither the version 0.2.40ubuntu17 is able to be reinstalled, nor the new version 0.2.40ubuntu18 is able to install.
Further, I am unable to do any upgrade / update from software manager and this package "command-not-found" is not allowing to proceed installation.
I am using Natty Ubuntu 11.04 alpha

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: command-not-found 0.2.40ubuntu17
ProcVersionSignature: Ubuntu 2.6.38-1.28-generic 2.6.38-rc2
Uname: Linux 2.6.38-1-generic i686
Architecture: i386
Date: Thu Feb 3 23:57:25 2011
ErrorMessage: ErrorMessage: package command-not-found is not ready for configuration cannot configure (current status `half-installed')
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
PackageArchitecture: all
SourcePackage: command-not-found
Title: package command-not-found 0.2.40ubuntu17 failed to install/upgrade: ErrorMessage: package command-not-found is not ready for configuration cannot configure (current status `half-installed')

Question information

Muhammad Hafeez (hafeezpk) said : #1
Zygmunt Krynicki (zyga) said : #2

This seems like a bug report not a question. What was the state of your computer when this had occurred?

Follow the instructions here and then, if that doesn't fix the problem, post the results (i.e. all the text from the Terminal):
https://help.ubuntu.com/community/PackageManagerTroubleshootingProcedure

Can you help with this problem?

Provide an answer of your own, or ask Muhammad Hafeez for more information if necessary.

To post a message you must log in.